net.sf.okapi.common.filters

## Interface IFilterConfigurationEditor

-     public interface IFilterConfigurationEditor

  Interface to edit the parameters of a filter configuration.

  There are different ways the parameters for a filter configuration can be edited depending on what editors are available. This interface provides a single call access to those different types of editors.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `editConfiguration(java.lang.String configId, IFilterConfigurationMapper fcMapper)` Edits a given filter configuration.
    `boolean` | `editConfiguration(java.lang.String configId, IFilterConfigurationMapper fcMapper, IFilter cachedFilter, java.lang.Object parent, IContext context)` Edits a given filter configuration.

- - ### Method Detail

    - #### editConfiguration

          boolean editConfiguration(java.lang.String configId,
                                    IFilterConfigurationMapper fcMapper,
                                    IFilter cachedFilter,
                                    java.lang.Object parent,
                                    IContext context)

      Edits a given filter configuration.
      Parameters:
        `configId` - the filter configuration identifier.
        `fcMapper` - the `IFilterConfigurationMapper` to use.
        `cachedFilter` - an optional cached filter (can be null). If not null the call will try to re-use it to load the parameters and the appropriate editor.
        `parent` - optional parent object used to place the dialog box (can be null).
        `context` - optional context from the caller (help, etc.) The type of the object can be different depending on the implementations.
      Returns:
        true if the configuration was done, false if it could not be done or was canceled.
      Throws:
        `java.lang.RuntimeException` - if the configuration cannot be found, or if the parameters cannot be loaded or another error occurs.

    - #### editConfiguration

          boolean editConfiguration(java.lang.String configId,
                                    IFilterConfigurationMapper fcMapper)

      Edits a given filter configuration.
      Parameters:
        `configId` - the filter configuration identifier.
        `fcMapper` - the `IFilterConfigurationMapper` to use.
      Returns:
        true if the configuration was done, false if it could not be done or was canceled.
      Throws:
        `java.lang.RuntimeException` - if the configuration cannot be found, or if the parameters cannot be loaded or another error occurs.